#include <print>
#include <cstdlib>

import Stack;

// main() Funktion
int main()
{
   // Stackobjekt definieren
   Stack myStack;
   // Sonstige lokale Variablen definieren
   bool retVal;
   short val;

   // Stack so lange füllen bis er voll ist
   std::println("Schiebe Werte auf Stack:");
   do
   {
      val = std::rand() % 100;
      retVal = myStack.Push(val);
      if (retVal)
          std::print("{} ", val);
   } while (retVal);

   // 5 Werte vom Stack wieder holen
   std::println("\nLese 5 Werte vom Stack:");
   for (auto iIndex=0; iIndex<5; iIndex++)
   {
      myStack.Pop(val);
      std::print("{} ", val);
   }
   std::println("");
}
